#ifndef POLYGLOT_H
#define POLYGLOT_H


// types
typedef struct {
    HashType key;	
    uint16_t move;
    uint16_t score;
    uint32_t learn; // not used!
} pgentry_t;

// functions

void PolyglotBookQuery(book_t *book, board_t *board, movelist_t *movelist);
int PolyglotBookValidate(book_t *book);

#endif
